ods listing;
title;
footnote;
 
** Compare with 5a output -- the GREPLAY approach for SAS 9.1.3;
** uses the SAS/Graph default colors, not the actximg colors.;
** So in 9.2, this approach will look much better but for;
** SAS 9.1.3, you would have to use color and symbol statements;
** to improve the look and feel of the output.;


%let outpath=C:\Courses\SAS_Global_Forum_2008\complex\output;
%let htout = .;

** Run complex5a_smallmult_report.sas first in order to create;
** the Graphic image files for the 4 Districts.;

** Then this step uses greplay...you are replaying images;
** that already have style applied. ;
ods rtf file="&outpath\complex5b_smallmult_greplay.rtf";
ods pdf file="&outpath\complex5b_smallmult_greplay.pdf";
ods html path="&htout" (url=none) 
         body="complex5b_smallmult_greplay.html"
         style=sasweb;
goptions reset=all rotate=landscape device=actximg;

proc greplay igout=work.gseg 
     tc=sashelp.templt template=l2r2s nofs;
treplay 1:North 2:South 3:East 4:West;
run;
quit;
ods _all_ close;
ods listing;

/*
proc greplay tc=sashelp.templt nofs;
   list tc;
run;
quit;
*/



