ods listing;
title;
footnote;

%let outpath=C:\Courses\SAS_Global_Forum_2008\complex\output;
%let htout = .;

proc sort data=complex.DistrictSales out=DistrictSales;
by year district quarter;
run;

proc format;

** for HTML need relative name, where graph will be when VIEWED.;
  value $distimg
  'Northern' = 'North.png'
  'Eastern' = 'East1.png'
  'Southern' = 'South2.png'
  'Western' = 'West3.png';

  ** for RTF and PDF need fully qualified location of graph;
  ** when RTF and PDF files are CREATED.;
  value $drtfpdf
  'Northern' = "&outpath\North.png"
  'Eastern' = "&outpath\East1.png"
  'Southern' = "&outpath\South2.png"
  'Western' = "&outpath\West3.png";

run;

options center;
ods listing close;
** first create graph files with above names;
** use program complex_smallmult_report.sas to make graphs in c:\temp;

** then use preimage attribute with PROC TABULATE to insert graph;
** into the DISTRICT table cell.;
ods html  file="&htout\complex6b_graf_tab.html" 
    style=sasweb ;
ods escapechar='~';

proc tabulate data=DistrictSales f=comma15.;
  title 'With PROC TABULATE';
  class District year /style={background=pink foreground=black};
  classlev District / style={preimage=$distimg.  background=white foreground=white};
  classlev year /style={background=pink foreground=black vjust=b};
  var sales / style={background=pink foreground=black};
  keyword sum min mean max n all/ 
     style={background=pink foreground=black};
  table District*year all='All Districts'*{style={background=pink foreground=black font_weight=bold}},
        sales*(sum*f=dollar15. min mean max n)/
  box={style={background=pink}};
run;
ods _all_ close;


/*
** Page Breaking in PDF not wonderful.;
** Even with Outputwidth=100%, RTF does not look very good.;
options orientation=portrait;
ods pdf  file="&outpath\complex6b_graf_tab.pdf" 
    style=sasweb ;
ods rtf  file="&outpath\complex6b_graf_tab.rtf" 
    style=sasweb ;

ods escapechar='~';

proc tabulate data=DistrictSales f=comma15.;
  title 'With Proc Tabulate';
  class District year /style={background=pink foreground=black};
  classlev District / style={preimage=$drtfpdf.  background=white foreground=white};
  classlev year /style={background=pink foreground=black};
  var sales / style={background=pink foreground=black};
  keyword sum min mean max n all/ 
     style={background=pink foreground=black};
  table District*year all='All Districts'*{style={background=pink foreground=black font_weight=bold}},
        sales*(sum*f=dollar15. min mean max n)/
        style={outputwidth=100%}
  box={style={background=pink}};
run;
ods _all_ close;
*/
