proc sort data=sashelp.shoes out=shoes;
by region product;
run;

ods listing close;
ods html file='figure3_4_5_6.html' style=egdefault;
**Figure 3;
proc report data=sashelp.shoes nowd
  style(summary)=Header;
  column region 
     ('Sales' sales sales=cnt sales=mn sales=av sales=mx);
  define region /group;
  define sales /sum 'Total';
  define cnt / n 'Count' f=comma6.;
  define mn / min 'Min' f=comma12.;
  define av / mean 'Avg' f=comma12.;
  define mx / max 'Max' f=comma12.;
  rbreak after / summarize;
  compute after;
    region = 'Grand Total';
  endcomp;
run;

** Figure 4;
proc tabulate data=sashelp.shoes f=comma12.;
  class region;
  var sales;
  table region all='Grand Total'*{S=Header},
        sales='Sales'*(sum='Total'*f=dollar12. n='Count' min mean max) 
        ;
run;

** Figure 5;
proc report data=sashelp.shoes nowd
  style(summary)=Header;
  where region in ('Canada','Pacific');
  column region product 
     ('Sales' sales sales=cnt sales=mn sales=av sales=mx);
  define region /group;
  define product / group;
  define sales /sum 'Total';
  define cnt / n 'Count' f=comma6.;
  define mn / min 'Min' f=comma12.;
  define av / mean 'Avg' f=comma12.;
  define mx / max 'Max' f=comma12.;
  break after region / summarize;
  rbreak after / summarize;
run;

** Figure 6;
proc tabulate data=sashelp.shoes f=comma12.;
  where region in ('Canada', 'Pacific');
  class region product;
  var sales;
  table region* (product all='Subtotal'*{S=Header}) all='Grand Total'*{S=Header},
        sales='Sales'*(sum='Total'*f=dollar12. n='Count' min mean max) 
        ;
run;


ods html close;
title;
footnote;
