proc sort data=sashelp.shoes out=shoes;
by region product;
run;
proc format;
  picture per low-high='009.99%';
run;

ods listing close;
ods html file='figure7.html' style=egdefault;
ods escapechar='~';
** Figure 7;
proc tabulate data=sashelp.shoes f=comma12.;
  where region in ('Canada', 'Pacific') and
        (product contains 'Dress' or product contains 'Casual');
  class region product subsidiary;
  var sales;
  table region,
        subsidiary all='SubTotal'*{S=Header},
        (product='Shoe Styles'*sales=' ')*(sum=' '*f=dollar12.) 
        ((all='All Products')*sales=' ')*(n sum='~nSum'*f=dollar12. colpctsum='Region %'*f=per. pctsum='% of All Regions'*f=per.)
        /style={outputwidth=75%} box=_page_;
  keylabel N='N';
  keyword N / style={vjust=b};
run;


ods html close;
title;
footnote;
